cURL
curl --request DELETE \
--url https://aodocs.altirnao.com/api/document/v1/{documentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://aodocs.altirnao.com/api/document/v1/{documentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aodocs.altirnao.com/api/document/v1/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
documentId
Delete documentv1
Deletes a document.
DELETE
/
document
/
v1
/
{documentId}
cURL
Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the document
Query Parameters
The mode of deletion of the document. The values are 'TRASH' (send document to library trash) or 'PERMANENT' (document is permanently removed from AODocs).
Available options:
PERMANENT, TRASH The security code
The G Suite domain
The reason for deleting the document
Response
204
A successful response
⌘I